package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DstatiAdesionePfCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 3917817229L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdStatoAdesionePf;

	private StringFilter codiStatoAdesione;

	private StringFilter descStatoAdesione;

	private StringFilter flagEliminato;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataUltimaModifica;

	private LocalDateFilter dataInizioRecord;

	private LocalDateFilter dataFineRecord;

	// FILTER FATHER

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdStatoAdesionePf
	 */
	public LongFilter getSequIdStatoAdesionePf() {
		return this.sequIdStatoAdesionePf;
	}

	/**
	 * @param sequIdStatoAdesionePf to set
	 */
	public void setSequIdStatoAdesionePf(LongFilter sequIdStatoAdesionePf) {
		this.sequIdStatoAdesionePf = sequIdStatoAdesionePf;
	}

	/**
	 * @return the codiStatoAdesione
	 */
	public StringFilter getCodiStatoAdesione() {
		return this.codiStatoAdesione;
	}

	/**
	 * @param codiStatoAdesione to set
	 */
	public void setCodiStatoAdesione(StringFilter codiStatoAdesione) {
		this.codiStatoAdesione = codiStatoAdesione;
	}

	/**
	 * @return the descStatoAdesione
	 */
	public StringFilter getDescStatoAdesione() {
		return this.descStatoAdesione;
	}

	/**
	 * @param descStatoAdesione to set
	 */
	public void setDescStatoAdesione(StringFilter descStatoAdesione) {
		this.descStatoAdesione = descStatoAdesione;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	// GETTER/SETTER FATHER

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
